Page MenuHomePhabricator

Fix JQMIGRATE: jQuery.fn.hover() is deprecated in TwnMainPage
Closed, ResolvedPublic

Description

Observed in https://translatewiki.net/?debug=true

ext.translate.mainpage.js?e59c2:123 JQMIGRATE: jQuery.fn.hover() is deprecated
migrateWarn	@	load.php?debug=true&…rsion=1e67f4k:10340
hover	@	load.php?debug=true&…rsion=1e67f4k:10767
setupProjectTiles	@	ext.translate.mainpage.js?e59c2:123
mightThrow	@	load.php?debug=true&…ersion=1e67f4k:3583
process	@	load.php?debug=true&…ersion=1e67f4k:3651
setTimeout (async)		
(anonymous)	@	load.php?debug=true&…ersion=1e67f4k:3689
fire	@	load.php?debug=true&…ersion=1e67f4k:3317
add	@	load.php?debug=true&…ersion=1e67f4k:3376
(anonymous)	@	load.php?debug=true&…ersion=1e67f4k:3709
jQuery.Deferred	@	load.php?debug=true&…rsion=1e67f4k:10866
then	@	load.php?debug=true&…ersion=1e67f4k:3694
jQuery.fn.ready	@	load.php?debug=true&…ersion=1e67f4k:3882
jQuery.fn.init	@	load.php?debug=true&…ersion=1e67f4k:3050
jQuery.fn.init	@	load.php?debug=true&…rsion=1e67f4k:10393
jQuery	@	load.php?debug=true&…&version=1e67f4k:98
(anonymous)	@	ext.translate.mainpage.js?e59c2:189
(anonymous)	@	ext.translate.mainpage.js?e59c2:191

Replace it with on( { mouseout: ..., mousein: ... } );

See https://github.com/jquery/jquery-migrate/blob/3.0.1/warnings.md for documentation how to replace it.
For anyone who plans to work on this, https://gerrit.wikimedia.org/r/#/c/381780/ and https://gerrit.wikimedia.org/r/#/c/382196/ are similar merged patches.

Details

Related Gerrit Patches:
mediawiki/extensions/TwnMainPage : masterext.translate.mainpage.js: Use jquery.fn.on()

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptOct 11 2017, 1:30 PM
Aklapper updated the task description. (Show Details)Nov 20 2017, 1:00 PM
Aklapper added a project: Google-Code-in-2017.

Would someone volunteer to mentor this task in Google-Code-in-2017 ? If so, please see https://www.mediawiki.org/wiki/Google_Code-in/2017 - thanks!

I can mentor this and create a GCI task.

Change 396025 had a related patch set uploaded (by Rafidaslam; owner: Rafid Aslam):
[mediawiki/extensions/TwnMainPage@master] ext.translate.mainpage.js: Use jquery.fn.on()

https://gerrit.wikimedia.org/r/396025

rafidaslam added a subscriber: rafidaslam.

I will work on this (claimed on Google Code-in)

Change 396025 merged by jenkins-bot:
[mediawiki/extensions/TwnMainPage@master] ext.translate.mainpage.js: Use jquery.fn.on()

https://gerrit.wikimedia.org/r/396025

rafidaslam closed this task as Resolved.Dec 7 2017, 4:21 PM

Marking as resolved as https://gerrit.wikimedia.org/r/396025 has been merged.